<?php
// *************************************************************************
// * VIRTUALNAME TCPANEL - DOMAIN CONTROLLER
// * PLUGIN Api v1
// * @copyright Copyright (c) 2016, Virtualname
// * @version 1.0.0
// * @link http://www.virtualname.es
// * @package DOMAIN-CONTROLLER
// * @subpackage TCpanel
// * File description: VIRTUALNAME - API CLASS DOMAIN
// *************************************************************************
//MODIFY CONTACT
function virtualname_modifycontact($params, $contact, $type){
	if($params["newContacts"] == false){
		$result = virtualname_EditContact($contact["contactid"], $contact, $params);
	}
	elseif($params["newContacts"] == true){
		$result = virtualname_AddContact($contact, $params);
		if($result["status"]["code"]< 200 || $result["status"]["code"] > 299){
			return $result;
		}
		else{
			$contactType = $contact["contacttype"];
			$id_contact	  = $result["response"]["id"];
			$result_set = virtualname_setDomainContacts($params, $id_contact, $contactType);
		}
	}
	return $result;
}

//API CALL
function virtualname_api_call($params, $fields, $module, $action, $RESTful){
    //DEBUG
    if($params["debug"] == TRUE){
        $debugActions = array("SaveNameservers", "SetDomainContacts", "AddContact", "EditContact", "SaveRegistrarLock", "SaveProtectionPrivacy");
        if(in_array($params["action"], $debugActions)){
            $debug = $params;
            unset($debug["APIKey"]);
            unset($debug["original"]["APIKey"]);
            echo "<pre>";
            var_dump(array("action"=>$debug["action"]));
            var_dump($debug);
            var_dump($fields);
            echo "</pre>";
        }
    }
    if ($params['devMode'] == TRUE) {
        $URLBase = $params["URLBase_DEBUG"]."/".$params["version"];
    } else {
        $URLBase = $params["URLBase"]."/".$params["version"];
    }
    //CHECK API WORKING

    //HEADERS
    $virtualname_header[] = 'X-TCpanel-Token: '.$params["APIKey"];
    $virtualname_header[] = 'X-TCPanel-Plugin-Version' . $params['pluginVersion'];
    $virtualname_header[] = 'Content-Type: application/json';
    //CURL CONEXION 
    if($module != "")
        $cURL_init = $URLBase."/".$module."/".$action;                                                                      
    else
        $cURL_init = $URLBase."/".$action;
    $cURL = curl_init($cURL_init);
    curl_setopt($cURL, CURLOPT_CUSTOMREQUEST, $RESTful);
    if($RESTful == "POST" || $RESTful == "PATCH" || $RESTful == "PUT"){
        $TCpanel_json = $fields["json"]; 
        $virtualname_header[] = 'Content-Length: '.strlen($TCpanel_json);                                                                     
        curl_setopt($cURL, CURLOPT_POSTFIELDS, $TCpanel_json);
    }                                                             
    curl_setopt($cURL, CURLOPT_RETURNTRANSFER, true);                                                                      
    curl_setopt($cURL, CURLOPT_HTTPHEADER, $virtualname_header);
    curl_setopt($cURL, CURLOPT_HEADER, 1);    
    curl_setopt($cURL, CURLOPT_USERAGENT,'Domain - Clients TCPanel Module');    
    curl_setopt($cURL, CURLOPT_TIMEOUT_MS, 60000);
    $request = curl_exec($cURL); 
    $cURLError = curl_error($cURL);
    //SYSTEM MODULE DEBUG LOG
    $params_config["devMode"] = $params["devMode"];
    $params_config["action"] = $params["action"];
    $allfields = array("url"=>$cURL_init, "fields"=>$fields,"params_config"=>$params_config,
                       "cURL" => "curl -vvv -H 'X-TCpanel-Token: ".$params["APIKey"]."' -H 'Host: api.virtualname.net' ".$cURL_init);
    //GET HEADERS
    $cURLInfo = curl_getinfo($cURL);

    if($request === false){
        $response = array("response"=>array("0"=>"Connection error"),
                          "status"  =>array("code"=> 0,
                                            "description"=>$params["langs"]["error-0"]));
    }
    else{
        if(!isset($params["langs"][$cURLInfo["http_code"]])){
            $response = array("response"=>array("1"=>"Unknown api response"),
                              "status"  =>array("code"=> 1,
                                                "description"=>$params["langs"]["error-1"]));                
        }
        else{          
            $header_size   = curl_getinfo($cURL, CURLINFO_HEADER_SIZE);
            $header        = explode("\r\n",substr($request, 0, $header_size));
            $request       = substr($request, $header_size);          
            $json_response = json_decode($request, true);
            $response = array("headers"  => $header,
                              "status"   => array("code"=>$cURLInfo["http_code"], "description"=>$params["langs"][$cURLInfo["http_code"]]),
                              "response" => $json_response);
        }
    }
    curl_close($cURL);

    if ($params['debug'] == TRUE) {
    	echo "<pre>";
    	var_dump($response);
    	var_dump($allfields);
    	echo "</pre>";
    }

    return $response;
}

//GET DOMAIN DETAILS
function virtualname_viewdomaininfo($params) { 
    $fields = array();
    $module = "domains";
    $domain = strtolower($params["domain"]);
    $action = "domains.json?name=".$domain;
    $RESTful= "GET";
    $params["action"] = "ViewDomainInfo";
    try{
        $request = virtualname_api_call($params,$fields, $module, $action, $RESTful);
    }catch (Exception $e){
        return ($e->getMessage());
    }
    return $request;
}

//SET DOMAIN DNS
function virtualname_SaveNameservers($params, $dns) {
    $domain_info = virtualname_viewdomaininfo($params);    
    if($domain_info["status"]["code"]< 200 || $domain_info["status"]["code"] > 299){
        $values["error"] = $domain_info["status"]["description"];
    }
    else{
        $fields = array();
        $module = "domains/domains";
        $action = $domain_info["response"][0]["id"].".json";
        $RESTful= "PATCH";
        $nameservers = array();
        if($dns["dns1"]) $nameservers[] = $dns["dns1"];
        if($dns["dns2"]) $nameservers[] = $dns["dns2"];
        if($dns["dns3"]) $nameservers[] = $dns["dns3"];
        if($dns["dns4"]) $nameservers[] = $dns["dns4"];
        $fields["json"] = json_encode(array("domain"=>array("nameservers"=>$nameservers)));
        $params["action"] = "SaveNameservers";
        try{
            $request = virtualname_api_call($params,$fields, $module, $action, $RESTful);
        }catch (Exception $e){
            return ($e->getMessage());
        }
        if($request["status"]["code"]< 200 || $request["status"]["code"] > 299){
            $values["error"] = $request["status"]["description"];
            if(isset($request["response"]["name"]))
                $values["error"] .= ": ".implode(",", $request["response"]["name"]);            
        }
        else{
        	$values = $request;
        }
    }
    return $values;     
}

//SET DOMAIN CONTACTS
function virtualname_setDomainContacts($params, $contactID, $contactType){
    $domain_info = virtualname_viewdomaininfo($params); 
    if($domain_info["status"]["code"]< 200 || $domain_info["status"]["code"] > 299){
        $values["error"] = $domain_info["status"]["description"];
    }
    else{
        $fields = array();
        $module = "domains/domains";
        $action = $domain_info["response"][0]["id"].".json";
        $RESTful= "PATCH";
        $fields["json"] = json_encode(array("domain"=>array("contacts"=>array($contactType=>$contactID))));
        $params["action"] = "SetDomainContacts";
        try{
            $request = virtualname_api_call($params,$fields, $module, $action, $RESTful);
        }catch (Exception $e){
            return ($e->getMessage());
        }
        if($request["status"]["code"]< 200 || $request["status"]["code"] > 299){
            $values["error"] = $request["status"]["description"];
            if(isset($request["response"]["name"]))
                $values["error"] .= ": ".implode(",", $request["response"]["name"]);            
        }
        else{
        	$values = $request;
        }  
    }
    return $values;     
}

//ADD CONTACT
function virtualname_AddContact($contact, $params){
    $fields = array();
    $module = "domains";
    $action = "contacts.json";
    $RESTful= "POST";

    $fields["json"] = json_encode(
                                    array(
                                            "contact" => array( "name"      =>$contact["name"],
                                                                "lastname"  =>$contact["lastname"],
                                                                "company"   =>$contact["company"],  
                                                                "ic"        =>$contact["ic"],
                                                                "email"     =>$contact["email"],
                                                                "country"   =>$contact["country"],
                                                                "state"     =>$contact["state"],
                                                                "city"      =>$contact["city"],
                                                                "address"   =>$contact["address"],
                                                                "zipcode"   =>$contact["zipcode"],
                                                                "phonecc"   =>$contact["phonecc"],
                                                                "phone"     =>$contact["phone"])
                                        )
                                );
    $params["action"] = "AddContact";

    try{
        $request = virtualname_api_call($params,$fields, $module, $action, $RESTful);
    }catch (Exception $e){
        return ($e->getMessage());
    }
    if($request["status"]["code"] < 200 || $request["status"]["code"] > 299){
        $values = $request;
        //$values["error"] = $request["status"]["description"];
        foreach($request["response"] as $key => $value)
            $values["error"] = "Campo ".$key." ".strtolower($value[0]).".\n";
        if(isset($request["response"]["name"]))
            $values["error"] .= ": ".implode(",", $request["response"]["name"]);    
    }
    else
        $values = $request;

    return $values;
}

//EDIT SINGLE CONTACT
function virtualname_EditContact($TCpanelContact, $contact, $params){
    $fields = array();
    $fields["json"] = json_encode(
                                    array(
                                            "contact" => array( "name"      =>$contact["name"],
                                                                "lastname"  =>$contact["lastname"],
                                                                "company"   =>$contact["company"],  
                                                                "ic"        =>$contact["ic"],
                                                                "email"     =>$contact["email"],
                                                                "country"   =>$contact["country"],
                                                                "state"     =>$contact["state"],
                                                                "city"      =>$contact["city"],
                                                                "address"   =>$contact["address"],
                                                                "zipcode"   =>$contact["zipcode"],
                                                                "phonecc"   =>$contact["phonecc"],
                                                                "phone"     =>$contact["phone"])
                                        )
                                );

    $params["action"] = "EditContact";
    $module = "domains/contacts";
    $action = $TCpanelContact.".json";
    $RESTful= "PATCH";              
    try{
        $request = virtualname_api_call($params,$fields, $module, $action, $RESTful);
    }catch (Exception $e){
        return ($e->getMessage());
    }
    if($request["status"]["code"]< 200 || $request["status"]["code"] > 299){
        $values = $request;
        //$values["error"] = $request["status"]["description"];
        foreach($request["response"] as $key => $value)
            $values["error"] = "Campo ".$key." ".strtolower($value[0]).".\n";
        if(isset($request["response"]["name"]))
            $values["error"] .= ": ".implode(",", $request["response"]["name"]);        
    }
    else
        $values = $request;

    return $values;
}
?>