<?php
// *************************************************************************
// * VIRTUALNAME TCPANEL - DOMAIN CONTROLLER
// * PLUGIN Api v1
// * @copyright Copyright (c) 2016, Virtualname
// * @version 1.0.0
// * @link http://www.virtualname.es
// * @package DOMAIN-CONTROLLER
// * @subpackage TCpanel
// * File description: VIRTUALNAME - DOMAINS PAGE
// *************************************************************************
include_once("api.config.php");
include_once("api.class.php");

$params = array();
//CONFIG
$params["debug"]   		 = $debug;
$params["devMode"] 		 = $devMode;
$params["APIKey"]  		 = $APIKEY_vname;
$params["URLBase"] 		 = $API_URL;
$params["URLBase_DEBUG"] = $API_URL_DEV;
$params["version"]		 = $version;
$params['pluginVersion'] = $pluginVersion;
$params["langs"]	 	 = $configLang;
$params["newContacts"] 	 = $newContacts;
//DOMAIN
$params["domain"] 		 = "";
//PASSWORDS
$users 	 	   = array();
$get_passwords = explode("\n", file_get_contents('domains_passwords.txt'));
foreach($get_passwords as $value){
	$password = explode("###", $value);
	$users[$password[0]] = $password[1];
}

session_start();

if(isset($_GET["action"])){
	if($_GET["action"] == "logout"){
		session_unset();
		session_destroy();
		header("Location: gestion");
	}
}


if(isset($_SESSION["currentdomain"])){
	$isLogin = true;
	$params["domain"] = $_SESSION["currentdomain"];
}

if(isset($_POST)){
	if(isset($_POST["submitLogin"])){
		if(isset($users[$_POST["domain"]])){
			$password = md5($hashInit.$_POST["domainpassword"].$hashEnd);
			if($users[$_POST["domain"]] == $password){
				$_SESSION["currentdomain"] 	= $_POST["domain"];
				$isLogin = true;
				$params["domain"]			= $_POST["domain"];
			}
			else{
		        $message = "Error de autenticación";
		        $error 	 = true;
			}
		}
		else{
	        $message = "Error de autenticación";
	        $error 	 = true;
		}
	}
	elseif(isset($_POST["submitRegistrar"])){
		$response = virtualname_modifycontact($params, $_POST, "registrar");
	    if($response["status"]["code"]< 200 || $response["status"]["code"] > 299){
	        $message = $response["error"];
	        $error 	 = true;
	    }
	    else{
	    	$message = "Contacto propietario modificado correctamente";
	    	$error   = false;
	    }
	}
	elseif(isset($_POST["submitAdmin"])){
		$response = virtualname_modifycontact($params, $_POST, "administrative");
	    if($response["status"]["code"]< 200 || $response["status"]["code"] > 299){
	        $message = $response["error"];
	        $error 	 = true;
	    }
	    else{
	    	$message = "Contacto administrador modificado correctamente";
	    	$error   = false;
	    }
	}
	elseif(isset($_POST["submitTech"])){
		$response = virtualname_modifycontact($params, $_POST, "technical");
	    if($response["status"]["code"]< 200 || $response["status"]["code"] > 299){
	        $message = $response["error"];
	        $error 	 = true;
	    }
	    else{
	    	$message = "Contacto técnico modificado correctamente";
	    	$error   = false;
	    }
	}
	elseif(isset($_POST["submitBilling"])){
		$response = virtualname_modifycontact($params, $_POST, "billing");
	    if($response["status"]["code"]< 200 || $response["status"]["code"] > 299){
	        $message = $response["error"];
	        $error 	 = true;
	    }
	    else{
	    	$message = "Contacto de facturación modificado correctamente";
	    	$error   = false;
	    }
	}
	elseif(isset($_POST["submitDNS"])){
		$response = virtualname_SaveNameservers($params, $_POST);
	    if($response["status"]["code"]< 200 || $response["status"]["code"] > 299){
	        $message = $response["error"];
	        $error 	 = true;
	    }
	    else{
	    	$message = "DNSs actualizadas correctamente";
	    	$error   = false;
	    }
	}
}

$response = virtualname_viewdomaininfo($params);
if($response["status"]["code"]< 200 || $response["status"]["code"] > 299){
    $message = "ERROR: NO SE PUEDE VISUALIZAR LA INFORMACIÓN DEL DOMINIO";
    $error 	  = true;
}
?>

<html>
	<head>
		<meta charset="UTF-8">
		<link rel="stylesheet" type="text/css" href="forms.css">
		<link rel="stylesheet" href="http://www.w3schools.com/lib/w3.css">
	</head>
	<body>
	<?php
		if($isLogin){
			?>
			<nav class="w3-sidenav w3-white w3-border" style="width:15%">
			  <a href="#" id="iniA" onclick="showCurrent('ini');" class="w3-green">Inicio</a>
			  <div class="w3-dropdown-hover">
			    <a href="#" id="contactsA" onclick="return false;">Contactos <i class="fa fa-caret-down"></i></a>
			    <div class="w3-dropdown-content w3-white w3-card-4">
				  <a href="#" id="registrarA" onclick="showCurrent('registrar');">Propietario</a>
				  <a href="#" id="adminA" onclick="showCurrent('admin');">Administrador</a>
				  <a href="#" id="techA" onclick="showCurrent('tech');">Técnico</a>
				  <a href="#" id="billingA" onclick="showCurrent('billing');">Facturación</a>
			    </div>
			  </div>
			  <a href="#" id="dnsA" onclick="showCurrent('dns');">Nameservers</a>
			  <a href="logout">Salir</a>
			</nav>
			<div class="form-page">
				<div class="form" style="margin-bottom: 20px;">
					<img src="logo.png" alt="logo" />
				</div>
			</div>
			<?php
				if(!$error AND $message != ""){
					?>
				<div class="form-page">
					<div class="success">
						<p class="message"><h5><i>&nbsp;&nbsp;<?=$message?></i></h5></p>
					</div>
				</div>
					<?php
				}
				elseif($error AND $message != ""){
					?>
				<div class="form-page">
					<div class="error ">
						<form method="POST" class="form-form">
							<p class="message">&nbsp;<?=$message?></p>
						</form>
					</div>
				</div>
					<?php
				}
			?>
			<script type="text/javascript">
				function showCurrent($element){
					if($element != "ini"){
						document.getElementById("ini").style.display 		= "none";
						document.getElementById("iniA").className 			= "";
					}
					if($element != "registrar"){
						document.getElementById("registrar").style.display 	= "none";
						document.getElementById("registrarA").className 	= "";
					}
					if($element != "admin"){
						document.getElementById("admin").style.display 		= "none";
						document.getElementById("adminA").className 		= "";
					}
					if($element != "tech"){
						document.getElementById("tech").style.display 		= "none";
						document.getElementById("techA").className 			= "";
					}
					if($element != "billing"){
						document.getElementById("billing").style.display 	= "none";
						document.getElementById("billingA").className 		= "";
					}
					if($element != "dns"){
						document.getElementById("dns").style.display 		= "none";
						document.getElementById("dnsA").className 			= "";
					}
					document.getElementById($element).style.display 		= "block";
					document.getElementById($element+"A").className			= "w3-green";
					if($element == "registrar" || $element == "admin" || $element == "billing" || $element == "tech")
						document.getElementById("contactsA").className			= "w3-green";
					else
						document.getElementById("contactsA").className			= "";
					document.getElementById("modifyRegistrar").style.display 	= "none";
					document.getElementById("modifyAdmin").style.display 		= "none";
					document.getElementById("modifyTech").style.display 		= "none";
					document.getElementById("modifyBilling").style.display 		= "none";
					document.getElementById("modifyDNS").style.display 			= "none";
				}
				function showEdit($element,$modifyElement){
					document.getElementById($element).style.display 		= "none";
					document.getElementById($modifyElement).style.display 	= "block";
				}
			</script>
			<div class="form-page">
				<!--style="margin-left: 15%;"-->
				<br>
				<table class="table" id="ini">
					<tr>
						<td colspan="2"><h1>Datos del Dominio:</h1></td>
					</tr>
					<tr>
						<td style="width: 50%;"><b>Dominio:</b></td><td><?=$response["response"][0]["name"]?></td>
					</tr>
					<tr>
						<td><b>Registro:</b></td><td><?=$response["response"][0]["created_at"]?></td>
					</tr>
					<tr>
						<td><b>Vencimiento:</b></td><td><?=$response["response"][0]["product_info"]["product_expiration"]?></td>
					</tr>
					<tr>
						<td><b>Proveedor del servicio:</b></td><td>TECNOCRÁTICA CENTRO DE DATOS S.L.</td>
					</tr>
					<tr>
						<td><b>Autorrenovación:</b></td><td><?php if ($response["response"][0]["auto_renew"] == false) echo "INACTIVA"; else echo "ACTIVA";?></td>
					</tr>
					<tr></tr>
					<tr>
						<td><b>D.N.S. 1:</b></td><td><?=$response["response"][0]["nameservers"][0];?></td>
					</tr>
					<tr>
						<td><b>D.N.S. 2:</b></td><td><?=$response["response"][0]["nameservers"][1];?></td>
					</tr>
					<tr>
						<td><b>D.N.S. 3:</b></td><td><?=$response["response"][0]["nameservers"][2];?></td>
					</tr>
					<tr>
						<td><b>D.N.S. 4:</b></td><td><?=$response["response"][0]["nameservers"][3];?></td>
					</tr>
				</table>
				<table class="table" style="display:none;" id="registrar">
					<tr>
						<td colspan="2"><h1>Propietario:</h1></td>
					</tr>
					<tr>
						<td  style="width: 50%;"><b>Nombre</b></td><td><?=$response["response"][0]["contacts"]["registrant"]["name"];?></td>
					</tr>
					<tr>
						<td><b>Apellidos</b></td><td><?=$response["response"][0]["contacts"]["registrant"]["lastname"];?></td>
					</tr>
					<tr>
						<td><b>Empresa</b></td><td><?=$response["response"][0]["contacts"]["registrant"]["company"];?></td>
					</tr>
					<tr></tr>
					<tr>
						<td><b>Dirección</b></td><td><?=$response["response"][0]["contacts"]["registrant"]["address"];?></td>
					</tr>
					<tr>
						<td><b>Ciudad</b></td><td><?=$response["response"][0]["contacts"]["registrant"]["city"];?></td>
					</tr>
					<tr>
						<td><b>Provincia</b></td><td><?=$response["response"][0]["contacts"]["registrant"]["state"];?></td>
					</tr>
					<tr>
						<td><b>País</b></td><td><?=$response["response"][0]["contacts"]["registrant"]["country"];?></td>
					</tr>
					<tr>
						<td><b>Código Postal</b></td><td><?=$response["response"][0]["contacts"]["registrant"]["zipcode"];?></td>
					</tr>
					<tr></tr>
					<tr>
						<td><b>Teléfono</b></td><td><?=$response["response"][0]["contacts"]["registrant"]["phonecc"].".".$response["response"][0]["contacts"]["registrant"]["phone"];?></td>
					</tr>
					<tr>
						<td><b>Fax</b></td><td><?=$response["response"][0]["contacts"]["registrant"]["faxcc"].".".$response["response"][0]["contacts"]["registrant"]["fax"];?></td>
					</tr>
					<tr>
						<td><b>Email</b></td><td><?=$response["response"][0]["contacts"]["registrant"]["email"];?></td>
					</tr>
					<tr><td colspan="2"><button onclick="showEdit('registrar','modifyRegistrar');">Modificar contacto</button></td></tr>
				</table>
				<table class="table" style="display:none;" id="admin">
					<tr>
						<td colspan="2"><h1>Administrador:</h1></td>
					</tr>
					<tr>
						<td  style="width: 50%;"><b>Nombre</b></td><td><?=$response["response"][0]["contacts"]["administrative"]["name"];?></td>
					</tr>
					<tr>
						<td><b>Apellidos</b></td><td><?=$response["response"][0]["contacts"]["administrative"]["lastname"];?></td>
					</tr>
					<tr>
						<td><b>Empresa</b></td><td><?=$response["response"][0]["contacts"]["administrative"]["company"];?></td>
					</tr>
					<tr></tr>
					<tr>
						<td><b>Dirección</b></td><td><?=$response["response"][0]["contacts"]["administrative"]["address"];?></td>
					</tr>
					<tr>
						<td><b>Ciudad</b></td><td><?=$response["response"][0]["contacts"]["administrative"]["city"];?></td>
					</tr>
					<tr>
						<td><b>Provincia</b></td><td><?=$response["response"][0]["contacts"]["administrative"]["state"];?></td>
					</tr>
					<tr>
						<td><b>País</b></td><td><?=$response["response"][0]["contacts"]["administrative"]["country"];?></td>
					</tr>
					<tr>
						<td><b>Código Postal</b></td><td><?=$response["response"][0]["contacts"]["administrative"]["zipcode"];?></td>
					</tr>
					<tr></tr>
					<tr>
						<td><b>Teléfono</b></td><td><?=$response["response"][0]["contacts"]["administrative"]["phonecc"].".".$response["response"][0]["contacts"]["administrative"]["phone"];?></td>
					</tr>
					<tr>
						<td><b>Fax</b></td><td><?=$response["response"][0]["contacts"]["administrative"]["faxcc"].".".$response["response"][0]["contacts"]["administrative"]["fax"];?></td>
					</tr>
					<tr>
						<td><b>Email</b></td><td><?=$response["response"][0]["contacts"]["administrative"]["email"];?></td>
					</tr>
					<tr><td colspan="2"><button onclick="showEdit('admin','modifyAdmin');">Modificar contacto</button></td></tr>
				</table>
				<table class="table" style="display:none;" id="tech">
					<tr>
						<td colspan="2"><h1>Técnico:</h1></td>
					</tr>
					<tr>
						<td  style="width: 50%;"><b>Nombre</b></td><td><?=$response["response"][0]["contacts"]["technical"]["name"];?></td>
					</tr>
					<tr>
						<td><b>Apellidos</b></td><td><?=$response["response"][0]["contacts"]["technical"]["lastname"];?></td>
					</tr>
					<tr>
						<td><b>Empresa</b></td><td><?=$response["response"][0]["contacts"]["technical"]["company"];?></td>
					</tr>
					<tr></tr>
					<tr>
						<td><b>Dirección</b></td><td><?=$response["response"][0]["contacts"]["technical"]["address"];?></td>
					</tr>
					<tr>
						<td><b>Ciudad</b></td><td><?=$response["response"][0]["contacts"]["technical"]["city"];?></td>
					</tr>
					<tr>
						<td><b>Provincia</b></td><td><?=$response["response"][0]["contacts"]["technical"]["state"];?></td>
					</tr>
					<tr>
						<td><b>País</b></td><td><?=$response["response"][0]["contacts"]["technical"]["country"];?></td>
					</tr>
					<tr>
						<td><b>Código Postal</b></td><td><?=$response["response"][0]["contacts"]["technical"]["zipcode"];?></td>
					</tr>
					<tr></tr>
					<tr>
						<td><b>Teléfono</b></td><td><?=$response["response"][0]["contacts"]["technical"]["phonecc"].".".$response["response"][0]["contacts"]["technical"]["phone"];?></td>
					</tr>
					<tr>
						<td><b>Fax</b></td><td><?=$response["response"][0]["contacts"]["technical"]["faxcc"].".".$response["response"][0]["contacts"]["technical"]["fax"];?></td>
					</tr>
					<tr>
						<td><b>Email</b></td><td><?=$response["response"][0]["contacts"]["technical"]["email"];?></td>
					</tr>
					<tr><td colspan="2"><button onclick="showEdit('tech','modifyTech');">Modificar contacto</button></td></tr>
				</table>
				<table class="table" style="display:none;" id="billing">
					<tr>
						<td colspan="2"><h1>Facturación:</h1></td>
					</tr>
					<tr>
						<td  style="width: 50%;"><b>Nombre</b></td><td><?=$response["response"][0]["contacts"]["billing"]["name"];?></td>
					</tr>
					<tr>
						<td><b>Apellidos</b></td><td><?=$response["response"][0]["contacts"]["billing"]["lastname"];?></td>
					</tr>
					<tr>
						<td><b>Empresa</b></td><td><?=$response["response"][0]["contacts"]["billing"]["company"];?></td>
					</tr>
					<tr></tr>
					<tr>
						<td><b>Dirección</b></td><td><?=$response["response"][0]["contacts"]["billing"]["address"];?></td>
					</tr>
					<tr>
						<td><b>Ciudad</b></td><td><?=$response["response"][0]["contacts"]["billing"]["city"];?></td>
					</tr>
					<tr>
						<td><b>Provincia</b></td><td><?=$response["response"][0]["contacts"]["billing"]["state"];?></td>
					</tr>
					<tr>
						<td><b>País</b></td><td><?=$response["response"][0]["contacts"]["billing"]["country"];?></td>
					</tr>
					<tr>
						<td><b>Código Postal</b></td><td><?=$response["response"][0]["contacts"]["billing"]["zipcode"];?></td>
					</tr>
					<tr></tr>
					<tr>
						<td><b>Teléfono</b></td><td><?=$response["response"][0]["contacts"]["billing"]["phonecc"].".".$response["response"][0]["contacts"]["billing"]["phone"];?></td>
					</tr>
					<tr>
						<td><b>Fax</b></td><td><?=$response["response"][0]["contacts"]["billing"]["faxcc"].".".$response["response"][0]["contacts"]["billing"]["fax"];?></td>
					</tr>
					<tr>
						<td><b>Email</b></td><td><?=$response["response"][0]["contacts"]["billing"]["email"];?></td>
					</tr>
					<tr><td colspan="2"><button onclick="showEdit('billing','modifyBilling');">Modificar contacto</button></td></tr>
				</table>
				<table class="table" style="display:none;" id="dns">
					<tr>
						<td colspan="2"><h1>Nameservers:</h1></td>
					</tr>
					<tr>
						<td  style="width: 50%;"><b>D.N.S. 1:</b></td><td><?=$response["response"][0]["nameservers"][0];?></td>
					</tr>
					<tr>
						<td><b>D.N.S. 2:</b></td><td><?=$response["response"][0]["nameservers"][1];?></td>
					</tr>
					<tr>
						<td><b>D.N.S. 3:</b></td><td><?=$response["response"][0]["nameservers"][2];?></td>
					</tr>
					<tr>
						<td><b>D.N.S. 4:</b></td><td><?=$response["response"][0]["nameservers"][3];?></td>
					</tr>
					<tr><td colspan="2"><button onclick="showEdit('dns','modifyDNS');">Modificar DNS</button></td></tr>
				</table>
				<div class="form" style="display:none;" id="modifyRegistrar">
					<form method="POST" class="form-form" id="formRegistrar" name="formRegistrar">
						<label><h1>Contacto Propietario</h1></label><br><br>
						<label>Nombre</label><input type="text" id="name" name="name" value="<?=$response["response"][0]["contacts"]["registrant"]["name"]?>">
						<label>Apellidos</label><input type="text" id="lastname" name="lastname" value="<?=$response["response"][0]["contacts"]["registrant"]["lastname"]?>">
						<label>Empresa</label><input type="text" id="company" name="company" value="<?=$response["response"][0]["contacts"]["registrant"]["company"]?>">
						<label>Email</label><input type="text" id="email" name="email" value="<?=$response["response"][0]["contacts"]["registrant"]["email"]?>">
						</br>
						<label>Cod. Teléfono</label><input type="text" id="phonecc" name="phonecc" value="<?=$response["response"][0]["contacts"]["registrant"]["phonecc"]?>">
						<label>Teléfono</label><input type="text" id="phone" name="phone" value="<?=$response["response"][0]["contacts"]["registrant"]["phone"]?>">
						<label>Dirección</label><input type="text" id="address" name="address" value="<?=$response["response"][0]["contacts"]["registrant"]["address"]?>">
						<label>Ciudad</label><input type="text" id="city" name="city" value="<?=$response["response"][0]["contacts"]["registrant"]["city"]?>">
						<label>Provincia</label><input type="text" id="state" name="state" value="<?=$response["response"][0]["contacts"]["registrant"]["state"]?>">
						<label>País</label><input type="text" id="country" name="country" value="<?=$response["response"][0]["contacts"]["registrant"]["country"]?>">
						<label>Código Postal</label><input type="text" id="zipcode" name="zipcode" value="<?=$response["response"][0]["contacts"]["registrant"]["zipcode"]?>">
						</br>
						<label>Documento Identificativo</label><input type="text" id="ic" name="ic" value="<?=$response["response"][0]["contacts"]["registrant"]["ic"]?>">
						<input type="hidden" id="contacttype" name="contacttype" value="registrant" />
						<input type="hidden" id="contactid" name="contactid" value="<?=$response["response"][0]["contacts"]["registrant"]["id"]?>" />
						<button type="submit" id="submitRegistrar" name="submitRegistrar">Modificar Propietario</button>
					</form>
				</div>
				<div class="form" style="display:none;" id="modifyAdmin">
					<form method="POST" class="form-form" id="formAdmin" name="formAdmin">
						<label><h1>Contacto Administrador</h1></label><br><br>
						<label>Nombre</label><input type="text" id="name" name="name" value="<?=$response["response"][0]["contacts"]["administrative"]["name"]?>">
						<label>Apellidos</label><input type="text" id="lastname" name="lastname" value="<?=$response["response"][0]["contacts"]["administrative"]["lastname"]?>">
						<label>Empresa</label><input type="text" id="company" name="company" value="<?=$response["response"][0]["contacts"]["administrative"]["company"]?>">
						<label>Email</label><input type="text" id="email" name="email" value="<?=$response["response"][0]["contacts"]["administrative"]["email"]?>">
						</br>
						<label>Cod. Teléfono</label><input type="text" id="phonecc" name="phonecc" value="<?=$response["response"][0]["contacts"]["administrative"]["phonecc"]?>">
						<label>Teléfono</label><input type="text" id="phone" name="phone" value="<?=$response["response"][0]["contacts"]["administrative"]["phone"]?>">
						<label>Dirección</label><input type="text" id="address" name="address" value="<?=$response["response"][0]["contacts"]["administrative"]["address"]?>">
						<label>Ciudad</label><input type="text" id="city" name="city" value="<?=$response["response"][0]["contacts"]["administrative"]["city"]?>">
						<label>Provincia</label><input type="text" id="state" name="state" value="<?=$response["response"][0]["contacts"]["administrative"]["state"]?>">
						<label>País</label><input type="text" id="country" name="country" value="<?=$response["response"][0]["contacts"]["administrative"]["country"]?>">
						<label>Código Postal</label><input type="text" id="zipcode" name="zipcode" value="<?=$response["response"][0]["contacts"]["administrative"]["zipcode"]?>">
						</br>
						<label>Documento Identificativo</label><input type="text" id="ic" name="ic" value="<?=$response["response"][0]["contacts"]["administrative"]["ic"]?>">
						<input type="hidden" id="contacttype" name="contacttype" value="administrative" />
						<input type="hidden" id="contactid" name="contactid" value="<?=$response["response"][0]["contacts"]["administrative"]["id"]?>" />
						<button type="submit" id="submitAdmin" name="submitAdmin">Modificar Administrador</button>
					</form>
				</div>
				<div class="form" style="display:none;" id="modifyTech">
					<form method="POST" class="form-form" id="formTech" name="formTech">
						<label><h1>Contacto Técnico</h1></label><br><br>
						<label>Nombre</label><input type="text" id="name" name="name" value="<?=$response["response"][0]["contacts"]["technical"]["name"]?>">
						<label>Apellidos</label><input type="text" id="lastname" name="lastname" value="<?=$response["response"][0]["contacts"]["technical"]["lastname"]?>">
						<label>Empresa</label><input type="text" id="company" name="company" value="<?=$response["response"][0]["contacts"]["technical"]["company"]?>">
						<label>Email</label><input type="text" id="email" name="email" value="<?=$response["response"][0]["contacts"]["technical"]["email"]?>">
						</br>
						<label>Cod. Teléfono</label><input type="text" id="phonecc" name="phonecc" value="<?=$response["response"][0]["contacts"]["technical"]["phonecc"]?>">
						<label>Teléfono</label><input type="text" id="phone" name="phone" value="<?=$response["response"][0]["contacts"]["technical"]["phone"]?>">
						<label>Dirección</label><input type="text" id="address" name="address" value="<?=$response["response"][0]["contacts"]["technical"]["address"]?>">
						<label>Ciudad</label><input type="text" id="city" name="city" value="<?=$response["response"][0]["contacts"]["technical"]["city"]?>">
						<label>Provincia</label><input type="text" id="state" name="state" value="<?=$response["response"][0]["contacts"]["technical"]["state"]?>">
						<label>País</label><input type="text" id="country" name="country" value="<?=$response["response"][0]["contacts"]["technical"]["country"]?>">
						<label>Código Postal</label><input type="text" id="zipcode" name="zipcode" value="<?=$response["response"][0]["contacts"]["technical"]["zipcode"]?>">
						</br>
						<label>Documento Identificativo</label><input type="text" id="ic" name="ic" value="<?=$response["response"][0]["contacts"]["technical"]["ic"]?>">
						<input type="hidden" id="contacttype" name="contacttype" value="technical" />
						<input type="hidden" id="contactid" name="contactid" value="<?=$response["response"][0]["contacts"]["technical"]["id"]?>" />
						<button type="submit" id="submitTech" name="submitTech">Modificar Técnico</button>
					</form>
				</div>
				<div class="form" style="display:none;" id="modifyBilling">
					<form method="POST" class="form-form" id="formBilling" name="formBilling">
						<label><h1>Contacto Facturación</h1></label><br><br>
						<label>Nombre</label><input type="text" id="name" name="name" value="<?=$response["response"][0]["contacts"]["billing"]["name"]?>">
						<label>Apellidos</label><input type="text" id="lastname" name="lastname" value="<?=$response["response"][0]["contacts"]["billing"]["lastname"]?>">
						<label>Empresa</label><input type="text" id="company" name="company" value="<?=$response["response"][0]["contacts"]["billing"]["company"]?>">
						<label>Email</label><input type="text" id="email" name="email" value="<?=$response["response"][0]["contacts"]["billing"]["email"]?>">
						</br>
						<label>Cod. Teléfono</label><input type="text" id="phonecc" name="phonecc" value="<?=$response["response"][0]["contacts"]["billing"]["phonecc"]?>">
						<label>Teléfono</label><input type="text" id="phone" name="phone" value="<?=$response["response"][0]["contacts"]["billing"]["phone"]?>">
						<label>Dirección</label><input type="text" id="address" name="address" value="<?=$response["response"][0]["contacts"]["billing"]["address"]?>">
						<label>Ciudad</label><input type="text" id="city" name="city" value="<?=$response["response"][0]["contacts"]["billing"]["city"]?>">
						<label>Provincia</label><input type="text" id="state" name="state" value="<?=$response["response"][0]["contacts"]["billing"]["state"]?>">
						<label>País</label><input type="text" id="country" name="country" value="<?=$response["response"][0]["contacts"]["billing"]["country"]?>">
						<label>Código Postal</label><input type="text" id="zipcode" name="zipcode" value="<?=$response["response"][0]["contacts"]["billing"]["zipcode"]?>">
						</br>
						<label>Documento Identificativo</label><input type="text" id="ic" name="ic" value="<?=$response["response"][0]["contacts"]["billing"]["ic"]?>">
						<input type="hidden" id="contacttype" name="contacttype" value="billing" />
						<input type="hidden" id="contactid" name="contactid" value="<?=$response["response"][0]["contacts"]["billing"]["id"]?>" />
						<button type="submit" id="submitBilling" name="submitBilling">Modificar Facturación</button>
					</form>
				</div>
				<div class="form" style="display:none;" id="modifyDNS">
					<form method="POST" class="form-form" id="formDNS" name="formDNS">
						<label><h1>Nameservers:</h1></label><br><br>
						<label>D.N.S. 1:</label><input type="text" id="dns1" name="dns1" value="<?=$response["response"][0]["nameservers"][0];?>">
						<label>D.N.S. 2:</label><input type="text" id="dns2" name="dns2" value="<?=$response["response"][0]["nameservers"][1];?>">
						<label>D.N.S. 3:</label><input type="text" id="dns3" name="dns3" value="<?=$response["response"][0]["nameservers"][2];?>">
						<label>D.N.S. 4:</label><input type="text" id="dns4" name="dns4" value="<?=$response["response"][0]["nameservers"][3];?>">
						<input type="hidden" id="domainid" name="domainid" value="<?=$response["response"][0]["id"]?>" />
						<button type="submit" id="submitDNS" name="submitDNS">Modificar DNS</button>
					</form>
				</div>
			</div>
			<?php
		}
		else{
			?>
			<div class="form-page">
				<div class="form" style="margin-bottom: 20px;">
					<img src="logo.png" alt="logo" />
				</div>
			</div>
			<?php
				if($error){
					?>
					<div class="form-page">
						<div class="error">
							<form method="POST" class="form-form">
								<p class="message">&nbsp;<?=$message?></p>
							</form>
						</div>
					</div>
					<?php
				}
			?>
			<div class="form-page">
				<!--style="margin-left: 15%;"-->
				<div class="form" id="login" style="top: 20px;">
					<form method="POST" class="form-form" id="formLogin" name="formLogin">
						<label>Dominio:</label><input type="text" id="domain" name="domain" value="">
						<label>Contraseña:</label><input type="password" id="domainpassword" name="domainpassword" value="">
						<button type="submit" id="submitLogin" name="submitLogin">Enviar</button>
					</form>
				</div>
			</div>
			<?php
		}
	?>
		<footer class="w3-container w3-teal"<?php if($isLogin == TRUE) echo 'style="margin-left: 15%;background-color: green !important;"'; else echo 'style="background-color: green !important;"';?> >
		  <h5>Copyright © <?=$companyname?></h5>
		  <p><?=$companyinfo?></p>
		</footer>
	</body>
</html>